DROP TABLE IF EXISTS TASKCENTER_SYS;
CREATE TABLE TASKCENTER_SYS
(
    SYS_ID             VARCHAR(64)  NOT NULL COMMENT '系统ID'
        PRIMARY KEY,
    SYS_NAME           VARCHAR(255) NOT NULL COMMENT '系统名称',
    SYS_DICT_TYPE_CODE VARCHAR(128) NULL COMMENT '系统状态字典项类型编码',
    SYS_DESC           VARCHAR(255) NULL COMMENT '系统说明',
    EXTEND1            VARCHAR(255) NULL COMMENT '扩展字段',
    EXTEND2            VARCHAR(255) NULL COMMENT '扩展字段',
    EXTEND3            VARCHAR(255) NULL COMMENT '扩展字段',
    EXTEND4            VARCHAR(255) NULL COMMENT '扩展字段',
    EXTEND5            VARCHAR(255) NULL COMMENT '扩展字段'
)
    COMMENT '任务系统表';
DROP TABLE IF EXISTS TASKCENTER_TASK_DONE;
CREATE TABLE TASKCENTER_TASK_DONE
(
    PK_ID              VARCHAR(64)          NOT NULL COMMENT '主键'
        PRIMARY KEY,
    TASK_ID            VARCHAR(64)          NOT NULL COMMENT '任务ID',
    TASK_NAME          VARCHAR(255)         NOT NULL COMMENT '任务名称',
    PROCESS_INST_ID    VARCHAR(64)          NULL COMMENT '流程实例ID',
    PROCESS_INST_NAME  VARCHAR(256)         NULL COMMENT '流程实例名称',
    ACTIVITY_INST_ID   VARCHAR(64)          NULL COMMENT '活动实例ID',
    ACTIVITY_INST_NAME VARCHAR(256)         NULL COMMENT '活动实例名称',
    TASK_PC_URL        VARCHAR(255)         NOT NULL COMMENT '任务查看URL',
    TASK_MOBILE_URL    VARCHAR(255)         NULL COMMENT '移动端任务查看URL',
    TASK_STATE         VARCHAR(10)          NULL COMMENT '业务状态，存储字典编码，前端确认显示字典',
    USER_ID            VARCHAR(64)          NOT NULL COMMENT '参与者ID',
    SYS_ID             VARCHAR(64)          NOT NULL COMMENT '系统ID',
    SYS_NAME           VARCHAR(255)         NOT NULL COMMENT '系统名称',
    CREATE_TIME        DATETIME             NULL COMMENT '任务创建时间',
    RECEIVING_TIME     DATETIME             NULL COMMENT '任务接收时间',
    FINSH_TIME         DATETIME             NULL COMMENT '任务完成时间',
    DONE_OVERDEU_TIME  DATETIME             NULL COMMENT '已办任务超时时间，任务超时后才会有值',
    PRESS_NUM          INT                  NULL COMMENT '催办次数',
    LAST_PRESS_MESSAGE VARCHAR(255)         NULL COMMENT '催办消息，只记录最新的',
    PIN_TO_TOP         TINYINT(1) DEFAULT 0 NOT NULL COMMENT '是否置顶(默认是0不置顶，否则是1置顶)',
    DONE_EXTEND1       VARCHAR(255)         NULL COMMENT '扩展属性',
    DONE_EXTEND2       VARCHAR(255)         NULL COMMENT '扩展属性',
    DONE_EXTEND3       VARCHAR(255)         NULL COMMENT '扩展属性',
    DONE_EXTEND4       VARCHAR(255)         NULL COMMENT '扩展属性',
    DONE_EXTEND5       VARCHAR(255)         NULL COMMENT '扩展属性'
)
    COMMENT '已办表';
DROP TABLE IF EXISTS TASKCENTER_TASK_DONE_ARCHIVE;
CREATE TABLE TASKCENTER_TASK_DONE_ARCHIVE
(
    PK_ID              VARCHAR(64)          NOT NULL COMMENT '主键'
        PRIMARY KEY,
    TASK_ID            VARCHAR(64)          NOT NULL COMMENT '任务ID',
    TASK_NAME          VARCHAR(255)         NOT NULL COMMENT '任务名称',
    PROCESS_INST_ID    VARCHAR(64)          NULL COMMENT '流程实例ID',
    PROCESS_INST_NAME  VARCHAR(256)         NULL COMMENT '流程实例名称',
    ACTIVITY_INST_ID   VARCHAR(64)          NULL COMMENT '活动实例ID',
    ACTIVITY_INST_NAME VARCHAR(256)         NULL COMMENT '活动实例名称',
    TASK_PC_URL        VARCHAR(255)         NOT NULL COMMENT '任务处理URL',
    TASK_MOBILE_URL    VARCHAR(255)         NULL COMMENT '任务处理URL',
    TASK_STATE         VARCHAR(10)          NULL COMMENT '业务状态，存储字典编码，前端确认显示字典',
    USER_ID            VARCHAR(64)          NOT NULL COMMENT '参与者ID',
    SYS_ID             VARCHAR(64)          NOT NULL COMMENT '系统ID',
    SYS_NAME           VARCHAR(255)         NOT NULL COMMENT '系统名称',
    CREATE_TIME        DATETIME             NULL COMMENT '任务创建时间',
    RECEIVING_TIME     DATETIME             NULL COMMENT '任务接收时间',
    FINSH_TIME         DATETIME             NULL COMMENT '任务完成时间',
    DONE_OVERDEU_TIME  DATETIME             NULL COMMENT '已办任务超期时间',
    ARCHIVE_TIME       DATETIME             NULL COMMENT '归档时间',
    PRESS_NUM          INT                  NULL COMMENT '催办次数',
    LAST_PRESS_MESSAGE VARCHAR(255)         NULL COMMENT '催办消息，只记录最新的',
    PIN_TO_TOP         TINYINT(1) DEFAULT 0 NOT NULL COMMENT '是否置顶(默认是0不置顶，否则是1置顶)',
    DONE_EXTEND1       VARCHAR(255)         NULL COMMENT '扩展属性',
    DONE_EXTEND2       VARCHAR(255)         NULL COMMENT '扩展属性',
    DONE_EXTEND3       VARCHAR(255)         NULL COMMENT '扩展属性',
    DONE_EXTEND4       VARCHAR(255)         NULL COMMENT '扩展属性',
    DONE_EXTEND5       VARCHAR(255)         NULL COMMENT '扩展属性'
)
    COMMENT '归档表';
DROP TABLE IF EXISTS TASKCENTER_TASK_TODO;
CREATE TABLE TASKCENTER_TASK_TODO
(
    PK_ID              VARCHAR(64)          NOT NULL COMMENT '主键'
        PRIMARY KEY,
    TASK_ID            VARCHAR(64)          NOT NULL COMMENT '任务ID',
    TASK_NAME          VARCHAR(255)         NOT NULL COMMENT '任务名称',
    PROCESS_INST_ID    VARCHAR(64)          NULL COMMENT '流程实例ID',
    PROCESS_INST_NAME  VARCHAR(256)         NULL COMMENT '流程实例名称',
    ACTIVITY_INST_ID   VARCHAR(64)          NULL COMMENT '活动实例ID',
    ACTIVITY_INST_NAME VARCHAR(256)         NULL COMMENT '活动实例名称',
    TASK_PC_URL        VARCHAR(255)         NOT NULL COMMENT '任务处理URL',
    TASK_MOBILE_URL    VARCHAR(255)         NULL COMMENT '移动端任务处理URL',
    TASK_STATE         VARCHAR(10)          NULL COMMENT '业务状态，存储字典编码，前端确认显示字典',
    USER_ID            VARCHAR(64)          NOT NULL COMMENT '参与者ID',
    SYS_ID             VARCHAR(64)          NOT NULL COMMENT '系统ID',
    SYS_NAME           VARCHAR(255)         NOT NULL COMMENT '系统名称',
    CREATE_TIME        DATETIME             NULL COMMENT '任务创建时间',
    RECEIVING_TIME     DATETIME             NULL COMMENT '任务接收时间',
    TODO_TIME_LIMIT    DATETIME             NULL COMMENT '待办任务超时时间',
    PRESS_NUM          INT                  NULL COMMENT '催办次数',
    LAST_PRESS_MESSAGE VARCHAR(255)         NULL COMMENT '催办消息，只记录最新的',
    PIN_TO_TOP         TINYINT(1) DEFAULT 0 NOT NULL COMMENT '是否置顶(默认是0不置顶，否则是1置顶)',
    SORT_BY            INT        DEFAULT 0 NULL COMMENT '排序字段',
    TODO_EXTEND1       VARCHAR(255)         NULL COMMENT '扩展属性',
    TODO_EXTEND2       VARCHAR(255)         NULL COMMENT '扩展属性',
    TODO_EXTEND3       VARCHAR(255)         NULL COMMENT '扩展属性',
    TODO_EXTEND4       VARCHAR(255)         NULL COMMENT '扩展属性',
    TODO_EXTEND5       VARCHAR(255)         NULL COMMENT '扩展属性'
)
    COMMENT '待办任务表';
DROP TABLE IF EXISTS AFC_DEFAULT_MESSAGE_CONFIG;
CREATE TABLE AFC_DEFAULT_MESSAGE_CONFIG
(
    GUID            varchar(64)  not null comment '主键'
        primary key,
    CONTENT         varchar(64)  null comment '消息内容(存值为消息模板主键id)',
    MESSAGE_CHANNEL varchar(128) null comment '消息通道',
    APP_CODE        varchar(64)  null comment '应用code码',
    TENANT_ID       varchar(64)  null comment '租户id',
    MESSAGE_TYPE    varchar(64)  null comment '消息类型（taskNotice-任务通知，pressNotice-催办通知，timeoutNotice-超时通知）'
)comment '默认消息配置表';
DROP TABLE IF EXISTS AFC_MESSAGE_HISTORY;
CREATE TABLE AFC_MESSAGE_HISTORY
(
    MESSAGE_ID      varchar(64)   not null comment '消息ID'
        primary key,
    MESSAGE_CHANNEL varchar(256)  null comment '消息发送渠道',
    MESSAGE_CONTENT varchar(1024) null comment '消息内容',
    SEND_TARGET     varchar(64)   null comment '发送目标',
    SEND_STATUS     varchar(64)   null comment '发送状态 0成功，1失败',
    SEND_START_TIME datetime      null comment '发送开始时间',
    SEND_END_TIME   datetime      null comment '发送完成时间',
    PRIORITY        varchar(64)   null comment '推送优先级',
    RESULT          varchar(64)   null comment '结果',
    APP_CODE        varchar(64)   null comment '应用code码',
    BPS_TENANT_ID   varchar(64)   null comment 'bps租户id'
)comment '消息历史表';
DROP TABLE IF EXISTS AFC_MESSAGE_TEMPLATE;
CREATE TABLE AFC_MESSAGE_TEMPLATE
(
    TEMPLATE_ID      varchar(64)   not null comment '模板ID'
        primary key,
    TEMPLATE_TYPE    varchar(255)  null comment '模板类型',
    TEMPLATE_NAME    varchar(64)   null comment '模板名称',
    TEMPLATE_CONTENT varchar(1024) null comment '模板内容',
    CREATE_TIME      datetime      null comment '创建时间',
    UPDATE_TIME      datetime      null comment '更新时间',
    APP_CODE         varchar(64)   null comment '应用code码',
    TENANT_ID        varchar(64)   null comment 'afc租户id',
    BPS_TENANT_ID    varchar(64)   null comment 'bps租户id',
    PROCESS_DEF_NAME varchar(128)  null comment '流程定义名称',
    PROCESS_CH_NAME  varchar(128)  null comment '流程名称',
    MESSAGE_TYPE     varchar(64)   null comment '消息类型（taskNotice-任务通知，pressNotice-催办通知，timeoutNotice-超时通知）',
    IS_DEFAULT       int(2)        null comment '是否默认模板'
)comment '消息模板表';
DROP TABLE IF EXISTS AFC_PROCESS_MESSAGE;
CREATE TABLE AFC_PROCESS_MESSAGE
(
    GUID             varchar(64)  not null comment '主键'
        primary key,
    PROCESS_DEF_ID   varchar(128) null comment '流程定义ID',
    PROCESS_DEF_NAME varchar(128) null comment '流程定义名称',
    ACTIVITY_DEF_ID  varchar(64)  null comment '流程定义ID',
    CONTENT          varchar(64)  null comment '消息内容(存值为消息模板主键id)',
    SEND_TARGET      varchar(255) null comment '发送目标,json格式数据{type:data}',
    MESSAGE_CHANNEL  varchar(512) null comment '消息通道',
    APP_CODE         varchar(64)  null comment '应用code码',
    BPS_TENANT_ID    varchar(64)  null comment 'bps租户id',
    MESSAGE_TYPE     varchar(64)  null comment '消息类型（taskNotice-任务通知，pressNotice-催办通知，timeoutNotice-超时通知）'
)comment '流程消息信息表';

UPDATE AFC_GENERAL_I18N SET APP_NAME = 'EOSLOWCODE' WHERE APP_NAME = 'AFCENTER';


